Skip to main content
curl https://api.usenaive.ai/v1/apps/ca7a1b8c-a4d4-4824-b92d-89d5b297eb62/deployments \
  -H "Authorization: Bearer nv_sk_live_..."
{
  "deployments": [
    {
      "id": "deployment-uuid-1",
      "appId": "ca7a1b8c-a4d4-4824-b92d-89d5b297eb62",
      "vercelDeploymentId": "dpl_abc123xyz",
      "url": "https://naive-my-landing-page-ca7a1b-h7k2m.vercel.app",
      "status": "production",
      "isProduction": true,
      "triggeredBy": "agent",
      "createdAt": "2026-01-15T12:00:00Z"
    },
    {
      "id": "deployment-uuid-2",
      "appId": "ca7a1b8c-a4d4-4824-b92d-89d5b297eb62",
      "vercelDeploymentId": "dpl_def456",
      "url": "https://naive-my-landing-page-ca7a1b-j3n9p.vercel.app",
      "status": "preview",
      "isProduction": false,
      "triggeredBy": "agent",
      "createdAt": "2026-01-14T09:30:00Z"
    }
  ]
}
Returns Naive’s deployment records, newest first. For live Vercel build state (BUILDING / READY / ERROR / CANCELED), build logs, or deployments not recorded by Naive, use the Vercel proxy: GET v6/deployments or GET v13/deployments/{vercelDeploymentId}.

Response Fields

FieldTypeDescription
idstringNaive deployment record UUID (used with publish)
vercelDeploymentIdstring | nullVercel deployment ID (used with the Vercel proxy)
urlstringDeployment URL
statusstringpreview, production, or error
isProductionbooleanWhether this is the current production deployment
triggeredBystringWho triggered the deployment (e.g. agent, agent:{id})
createdAtstringISO 8601 timestamp